[Forgot Password]
Login  Register Subscribe

23631

 
 

122183

 
 

98060

 
 

909

 
 

79198

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2007-3998

Date: (C)2007-09-04   (M)2017-11-18 


The wordwrap function in PHP 4 before 4.4.8, and PHP 5 before 5.2.4, does not properly use the breakcharlen variable, which allows remote attackers to cause a denial of service (divide-by-zero error and application crash, or infinite loop) via certain arguments, as demonstrated by a 'chr(0), 0, ""' argument set.

CVSS Score: 5.0Access Vector: NETWORK
Exploit Score: 10.0Access Complexity: LOW
Impact Score: 2.9Authentication: NONE
 Confidentiality: NONE
 Integrity: NONE
 Availability: PARTIAL





Reference:
2007-0026
SECUNIA-26642
SECUNIA-26822
SECUNIA-26838
SECUNIA-26871
SECUNIA-26895
SECUNIA-26930
SECUNIA-26967
SECUNIA-27102
SECUNIA-27377
SECUNIA-27545
SECUNIA-27864
SECUNIA-28249
SECUNIA-28658
SECUNIA-30288
ADV-2007-3023
DSA-1444
DSA-1578
FEDORA-2007-709
GLSA-200710-02
MDKSA-2007:187
RHSA-2007:0889
RHSA-2007:0890
RHSA-2007:0891
SUSE-SA:2008:004
USN-549-1
USN-549-2
http://secweb.se/en/advisories/php-wordwrap-vulnerability/
http://support.avaya.com/elmodocs2/security/ASA-2007-449.htm
http://www.php.net/ChangeLog-5.php#5.2.4
http://www.php.net/releases/5_2_4.php
https://issues.rpath.com/browse/RPL-1693
https://issues.rpath.com/browse/RPL-1702
https://launchpad.net/bugs/173043

CPE    2
cpe:/a:php:php:5.2.3
cpe:/a:php:php:4.4.7
CWE    1
CWE-20
OVAL    2
oval:org.mitre.oval:def:8065
oval:org.mitre.oval:def:7538

© 2013 SecPod Technologies